QXmpp: QXmppDialback Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Types | Public Member Functions | List of all members
QXmppDialback Class Reference
Stanzas

The QXmppDialback class represents a stanza used for the Server Dialback protocol as specified by XEP-0220: Server Dialback. More...

`#include <QXmppDialback.h>`

Inheritance diagram for QXmppDialback:

## Public Types
enum | Command { Result, Verify }
| This enum is used to describe a dialback command. More...

## Public Member Functions
| QXmppDialback ()
| Constructs a QXmppDialback.
Command | command () const
| Returns the dialback command.
void | setCommand (Command command)
QString | key () const
| Returns the dialback key.
void | setKey (const QString &key)
QString | type () const
| Returns the dialback type.
void | setType (const QString &type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Detailed Description

The QXmppDialback class represents a stanza used for the Server Dialback protocol as specified by XEP-0220: Server Dialback.

## Member Enumeration Documentation

enum QXmppDialback::Command

This enum is used to describe a dialback command.

Enumerator:

  Result | A dialback command between the originating server and the receiving server.
  Verify | A dialback command between the receiving server and the authoritative server.

## Member Function Documentation

void QXmppDialback::setCommand | ( | QXmppDialback::Command | command | ) |

Sets the dialback command.

Parameters

  command |

void QXmppDialback::setKey | ( | const QString & | key | ) |

Sets the dialback key.

Parameters

  key |

void QXmppDialback::setType | ( | const QString & | type | ) |

Sets the dialback type.

Parameters

  type |

The documentation for this class was generated from the following files:

- QXmppDialback.h
- QXmppDialback.cpp